%define 	snapshot 007
%define		xprintdate 20021203
%define		nameinit xprint

Summary:	Xprint - An X11 print system
Name:		xprint
Version:	1.0
Release:	0.%{snapshot}.9mdk
License:	MIT
Source0:	xprint-%{xprintdate}release%{snapshot}.tar.bz2
Source1:	xprint-initd
Patch0:		xprint-600dpi.patch.bz2
Patch1:		xprint-lpr.patch.bz2
URL:		http://xprint.mozdev.org
Group:		System/Servers
BuildRequires:	XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	fonts-type1-mathml-cm
Requires:	foomatic-db-engine

%description
Xprint is an advanced printing system which enables X11 applications
to use devices like printers, FAX or create documents in formats like
PostScript, PDF, PCL, etc.

%prep
%setup -q -n xprint
%patch0 -p1
%patch1 -p1

%build
cd src/xprint_main/xc
make World

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/X11R6 \
	%{buildroot}%{_sysconfdir}/profile.d \
	%{buildroot}%{_initrddir}
pwd
cd src/xprint_main/xc/packager
rm -f /tmp/xprint_server_*.tar.gz
make make_xprint_tarball

cat <<EOF > %{buildroot}%{_sysconfdir}/profile.d/xprint-mozdev.sh
export XPSERVERLIST=":2"
export XPRINTER="\`foomatic-configure -Q 2>&1| grep defaultqueue | sed -e 's@defaultqueue@@g' -e's@<>@@g' -e 's@</>@@g'\`"
EOF

cat <<EOF > %{buildroot}%{_sysconfdir}/profile.d/xprint-mozdev.csh
setenv XPSERVERLIST ":2"
setenv XPRINTER "\`foomatic-configure -Q 2>&1| grep defaultqueue | sed -e 's@defaultqueue@@g' -e's@<>@@g' -e 's@</>@@g'\`"
EOF

install -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/%{nameinit}

gzip -cd /tmp/xprint_server_*.tar.gz | tar xvf - -C %{buildroot}
mv %{buildroot}/usr/X11R6/bin/Xprt %{buildroot}/usr/X11R6/bin/Xprt_mozdev

rm -f %{buildroot}/etc/init.d/xprint \
	%{buildroot}/etc/profile.d/xprint.{sh,csh}

%clean
rm -rf %{buildroot}

%post
%_post_service xprint

%preun
%_preun_service xprint

%files
%defattr(-,root,root)
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/profile.d/xprint-mozdev.sh
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/profile.d/xprint-mozdev.csh
%attr(755,root,root) %config %{_initrddir}/xprint
/usr/X11R6/bin/*
/usr/X11R6/lib/X11/xserver/*

%changelog
* Mon Mar 18 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.007.9mdk
- Modify profile.d/xprint-mozdev.{sh,csh} scripts to
  avoid warning messages in shells when cups is stopped.

* Thu Mar 13 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.007.8mdk
- set XPRINTER env var to default user printer queue.

* Tue Mar 11 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.007.7mdk
- snapshot 2002-12-03.

* Mon Sep 09 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.007.6mdk
- Rebuilt with latest XFree86 4.2.1.

* Mon Sep 01 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.007.5mdk
- added Requirements.
- removed not available font dirs from the Xprt -fp path.

* Sun Sep 01 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.007.4mdk
- added missed xserver files in filelist.

* Sun Sep 01 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.007.3mdk
- fixed lpr call.

* Sun Sep 01 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.007.3mdk
- fixed lpr call.

* Sun Sep 01 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.007.2mdk
- fixed version number.
- removed SecurityPolicy file (already provided in XFree86).

* Sun Sep 01 2002 Giuseppe ghib <ghibo@mandrakesoft.com>
- initial release.
